SRS error for new SpatiaLite layer in old SL DBs

2012-04-24 07:47 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Giuseppe Sucameli

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 15104

Description

When creating a new Spatialite vector, selecting a SRS results in an error:

Impossible to load SRIDS: no such table: spatial_ref_sys

No problem with shp. Master from yesterday.

History

#1 - 2012-04-24 07:50 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

This should affect also the code frozen for the 1.8 release, so I'll tag this as blocker as is a regression.

#2 - 2012-04-24 08:07 AM - Jürgen Fischer

Is the real message "Failed to load SRIDS"?

#3 - 2012-04-24 08:13 AM - Paolo Cavallini

Yes, it was my dummy backtranslation from the IT GUI.The real message is:

Failed to load SRIDS: no such table: spatial_ref_sys

as you guessed.

Sorry.

#4 - 2012-05-07 12:03 PM - Marco Hugentobler

I can create a new spatialite layer without SRS problem (master branch from today). Is the ticket still valid?

#5 - 2012-05-07 12:07 PM - Paolo Cavallini

Just checked, with today's master, same error.

Self packaged on Debian testing with master debian/rules
#6 - 2012-05-07 01:44 PM - Giovanni Manghi

works fine on ubuntu 11.04 and qgis master from the nightly build repo.

#7 - 2012-05-07 01:50 PM - Salvatore Larosa

same here on Debian/wheezy and QGIS master (173e9ad), everything works fine!

#8 - 2012-05-07 11:24 PM - Marco Hugentobler

- Status changed from Open to Closed

Looks like a package problem to me then.

#9 - 2012-05-08 02:54 AM - Paolo Cavallini

- Subject changed from SRS error for new SpatiaLite layer to SRS error for new SpatiaLite layer in old SL DBs

- Assignee set to Giuseppe Sucameli

- Status changed from Closed to Reopened

- Category changed from Projection Support to Data Provider

It was not due to compilation, but to a change in SL provider, I think: spatial_ref_sys of old SL db are not recognized. This could be a bug in itself.

#10 - 2012-05-08 02:57 AM - Paolo Cavallini

- Priority changed from Severe/Regression to Normal

#11 - 2012-05-20 11:29 AM - Giuseppe Sucameli

Unable to reproduce it. Probably the problem depends on the used database (old or what?). 

Could you provide a small dataset to reproduce it?

#12 - 2012-05-21 12:39 AM - Paolo Cavallini

See subject and comment #9: yes, this is due to old DBs

#13 - 2012-05-21 11:38 AM - Giuseppe Sucameli

- Resolution set to invalid

- Status changed from Reopened to Closed

Probably that db has no spatial_ref_sys table and then it's an invalid SL database.
